Subject: Announcement: Free Linux version of Smalltalk/X for educational use
From: [email-masked] (Markus Geltz)
Date: Mon, 28 Mar 1994 21:22:50 GMT
Newsgroups: comp.lang.smalltalk,comp.object,comp.os.linux.announce

I'm posting this for Claus Gittinger who had problems to reach the
internet lately. He's the author of Smalltalk/X, so please send
replies and questions to him or to the adresses in the bottom of the
message. Have fun!
	Markus
----------------------------------------------------------------------
Hello to all Smalltalkers -
  - and those who wanted to try it but were too afraid to ask ...

I am happy to announce the availablity of: 

  ************************************************************************
  *  a **FREE** Linux version of Smalltalk/X for educational/private use *
  ************************************************************************

  available on the FTP server of the University of Stuttgart:

    ftp.informatik.uni-stuttgart.de  in  /pub/Linux/stx

  or via ftp-mail:

    [email-masked]  (I am not certain if this is true)

  (it will probably find its way to your local ftp-server pretty soon :-)

  the files are:
        225449 Mar 24 19:02 bitmaps.tar.Z
        244041 Mar 24 19:02 doc.tar.Z
       2677437 Mar 24 18:58 exe.tar.Z
         55955 Mar 24 19:02 goodies.tar.Z
        815095 Mar 24 19:03 source.tar.Z

  To run ST/X, you will need exe.tar.Z as a minimum (the other stuff
  is required for icons, button-forms, and to look at source code in the 
  browser - so, you better grab that too).

  Although this package is a somewhat stripped down version of full ST/X,
  it still includes many classes in source, lots of demos and goodies and
  should give everyone a chance to get a feeling for smalltalk, and have 
  an implementation at home and/or at his/her campus.

Restrictions:

  This package may only be used for educational (i.e. non-business) purposes.

  It does not include the 'smalltalk to C' compiler or other facilities to 
  create faster machine code, stand alone applications or applications for 
  production or sale.

  However, incremental bytecode-compiler and interpreter ARE included, as
  well as most classes, allowing you to add new classes/methods or modify 
  existing ones (dont fileIn any benchmarks - compiled code is much faster :-).
  Of course, Browsers, Debugger, Inspectors and friends are also included.

System requirements:
      Linux  (a short 'go-no-go'-check was done with Patchlevels 11, 
              PL13 and PL15; it may/should run on others as well)
      >=486/25  (depends on what you expect - you may try it on 386s)
      >=16Mb    memory          
      >10Mb    disk space (minimum)      
      another  16Mb swap
      X-server or X-terminal
      (it will also run in 8Mb+swap, but expect some slowdown :-)

Status:
  ST/X is still being tested, so please be prepared for bugs and maybe even 
  crashes. You are welcome to send notes to the author <[email-masked]> or 
  bug reports to <[email-masked]>.

  Full preReleases for a other systems (SGI, Sun, HP, Sys5.4 and others)
  are also available; contact <[email-masked]> for more info.

I hope, this will help to spread the Smalltalk language a bit more,

Have fun,
        Claus

--- cogito ergo smalltalk !
----------------------------------------------------------------------
--
Markus Geltz              email: [email-masked]